### Class

# GUPnPAV ProtocolInfo

#### Description [src]

    class GUPnPAV.ProtocolInfo : GObject.Object
    {
      /* No available fields */
    }

UPnP AV ProtocolInfo

`GUPnPProtocolInfo` provides a convenient API to deal with ProtocolInfo strings used in UPnP AV specifications.

#### Ancestors

- GObject

#### Constructors

###### gupnp_protocol_info_new

No description available.

###### gupnp_protocol_info_new_from_string

Parses the `protocol_info` string and creates a new `GUPnPProtocolInfo` object as a result.

#### Instance methods

###### gupnp_protocol_info_get_dlna_conversion

Get the DLNA conversion flags.

###### gupnp_protocol_info_get_dlna_flags

Get the gereric DLNA flags.

###### gupnp_protocol_info_get_dlna_operation

Get the DLNA operation flags.

###### gupnp_protocol_info_get_dlna_profile

Get the DLNA profile of this info.

###### gupnp_protocol_info_get_mime_type

Get the MIME-type of this info.

###### gupnp_protocol_info_get_network

Get the network this info is associated with.

###### gupnp_protocol_info_get_play_speeds

Get the allowed play speeds on this info in the form of array of strings.

###### gupnp_protocol_info_get_protocol

Get the protocol of this info.

###### gupnp_protocol_info_is_compatible

Checks if the given protocolInfo string is compatible with `info`.

###### gupnp_protocol_info_set_dlna_conversion

Set the DLNA conversion flags.

###### gupnp_protocol_info_set_dlna_flags

Set the gereric DLNA flags.

###### gupnp_protocol_info_set_dlna_operation

Set the DLNA operation flags.

###### gupnp_protocol_info_set_dlna_profile

Set the DLNA profile of this info.

###### gupnp_protocol_info_set_mime_type

Set the MIME-type of this info.

###### gupnp_protocol_info_set_network

Set the network this info is associated with.

###### gupnp_protocol_info_set_play_speeds

Set the allowed play speeds on this info in the form of array of strings. The array must be `NULL`-terminated.

###### gupnp_protocol_info_set_protocol

Set the protocol of this info.

###### gupnp_protocol_info_to_string

Provides the string representation of `info`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnPAV.ProtocolInfo:dlna-conversion

The DLNA conversion flags.

###### GUPnPAV.ProtocolInfo:dlna-flags

Various generic DLNA flags.

###### GUPnPAV.ProtocolInfo:dlna-operation

The DLNA operation flags.

###### GUPnPAV.ProtocolInfo:dlna-profile

The DLNA profile of this info.

###### GUPnPAV.ProtocolInfo:mime-type

The MIME-type of this info.

###### GUPnPAV.ProtocolInfo:network

The network this info is associated with.

###### GUPnPAV.ProtocolInfo:play-speeds

The allowed play speeds on this info in the form of array of strings.

###### GUPnPAV.ProtocolInfo:protocol

The protocol of this info.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVProtocolInfoClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.